<?php

       echo "<div class='aut'>Действия</div>";
  if($q['zoloto_l']!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($q['zoloto_l']>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`-$colvo, `zoloto_l`=`zoloto_l`-$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' золотодобытчиков в жители');
        
        
      }
      else
      {
              msg('У вас нет столько золотодобытчиков');
      
      }
    }
    else
    {
  echo "<div class='f2'><form method='post' action='?do=18&amp;$passgen'>
  Кол-во золотодобытчиков(макс. ".$q['zoloto_l']." чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form></div>\n";
  }
}
else
{
echo "<div class='err'>У вас нет золотодобытчиков</div>\n";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>